# extended LDIF
#
# LDAPv3
# base <o=bees,ou=organizations,dc=cvsdude,dc=com> with scope subtree
# filter: (objectclass=*)
# requesting: ALL
#
# dn: dc=cvsdude,dc=com
# objectClass: top
# objectClass: domain
# dc: cvsdude
# aci: (target=ldap:///dc=cvsdude,dc=com)(targetattr=*)(version 3.0; acl "acl1"; allow(write) userdn = "ldap:///self";) 
# aci: (target=ldap:///dc=cvsdude,dc=com)(targetattr=*)(version 3.0; acl "acl3"; allow(read, search, compare) userdn = "ldap:///anyone";)
# aci: (target=ldap:///dc=cvsdude,dc=com)(targetattr=*)(version 3.0; acl "acl4"; allow(all) userdn = "ldap:///uid=auser,dc=cvsdude,dc=com";)
# 
#dn: ou=organizations,dc=cvsdude,dc=com
#objectClass: organizationalUnit
#objectClass: top
#ou: organizations
#
# bees, organizations, cvsdude.com
dn: o=bees%%,ou=organizations,dc=cvsdude,dc=com
objectClass: organization
objectClass: top
o: bees%%

# users, bees, organizations, cvsdude.com
dn: ou=users,o=bees%%,ou=organizations,dc=cvsdude,dc=com
objectClass: organizationalUnit
objectClass: top
ou: users

# test, users, bees, organizations, cvsdude.com
dn: uid=test,ou=users,o=bees%%,ou=organizations,dc=cvsdude,dc=com
objectClass: inetOrgPerson
objectClass: organizationalPerson
objectClass: person
objectClass: top
uid: test
cn: CloudBees Tester
sn: Tester
mail: test@cvsdude.com
givenName: CloudBees
userPassword: test

# projects, bees, organizations, cvsdude.com
dn: ou=projects,o=bees%%,ou=organizations,dc=cvsdude,dc=com
objectClass: organizationalUnit
objectClass: top
ou: projects

# test, projects, bees, organizations, cvsdude.com
dn: ou=test,ou=projects,o=bees%%,ou=organizations,dc=cvsdude,dc=com
objectClass: organizationalUnit
objectClass: top
ou: test
ou;en: test_en
ou;fr: test_fr
ou;de: test_de

# trac, test, projects, bees, organizations, cvsdude.com
dn: cn=trac,ou=test,ou=projects,o=bees%%,ou=organizations,dc=cvsdude,dc=com
objectClass: groupOfUniqueNames
objectClass: top
cn: trac
uniqueMember: uid=test,ou=users,o=bees%%,ou=organizations,dc=cvsdude,dc=com

# git, test, projects, bees, organizations, cvsdude.com
dn: cn=git,ou=test,ou=projects,o=bees%%,ou=organizations,dc=cvsdude,dc=com
objectClass: groupOfUniqueNames
objectClass: top
cn: git
uniqueMember: uid=test,ou=users,o=bees%%,ou=organizations,dc=cvsdude,dc=com

# git-write, test, projects, bees, organizations, cvsdude.com
dn: cn=git-write,ou=test,ou=projects,o=bees%%,ou=organizations,dc=cvsdude,dc=com
objectClass: groupOfUniqueNames
objectClass: top
cn: git-write
uniqueMember: uid=test,ou=users,o=bees%%,ou=organizations,dc=cvsdude,dc=com

# test02, users, bees, organizations, cvsdude.com
dn: uid=test02,ou=users,o=bees%%,ou=organizations,dc=cvsdude,dc=com
objectClass: inetOrgPerson
objectClass: organizationalPerson
objectClass: person
objectClass: top
uid: test02
cn: Test TP 02
sn: TP 02
mail: test02@cvsdude.com
givenName: Test
userPassword: test02

# svn, test, projects, bees, organizations, cvsdude.com
dn: cn=svn,ou=test,ou=projects,o=bees%%,ou=organizations,dc=cvsdude,dc=com
objectClass: groupOfUniqueNames
objectClass: top
cn: svn
uniqueMember: uid=test02,ou=users,o=bees%%,ou=organizations,dc=cvsdude,dc=com
uniqueMember: uid=test,ou=users,o=bees%%,ou=organizations,dc=cvsdude,dc=com

# bugz, test, projects, bees, organizations, cvsdude.com
dn: cn=bugz,ou=test,ou=projects,o=bees%%,ou=organizations,dc=cvsdude,dc=com
objectClass: groupOfUniqueNames
objectClass: top
cn: bugz
uniqueMember: uid=test,ou=users,o=bees%%,ou=organizations,dc=cvsdude,dc=com
